package org.eclipse.jdt.internal.compiler;

import java.util.Locale;
import org.eclipse.jdt.core.compiler.CategorizedProblem;

public interface IProblemFactory
{
    public abstract CategorizedProblem createProblem(char[] p0, int p1, String[] p2, String[] p3, int p4, int p5, int p6, int p7, int p8);
    
    public abstract CategorizedProblem createProblem(char[] p0, int p1, String[] p2, int p3, String[] p4, int p5, int p6, int p7, int p8, int p9);
    
    public abstract Locale getLocale();
    
    public abstract String getLocalizedMessage(int p0, String[] p1);
    
    public abstract String getLocalizedMessage(int p0, int p1, String[] p2);
}
